FTOS_CB_AddUpdateContractTranche
Adds or updates a record in the FTOS_CB_ContractDisbursementTranche entity representing a contract disbursement tranche. The set of parameters sent via the request body determines the operation performed at the database level.
Syntax
The FTOS_CB_AddUpdateContractTranche custom endpoint is called from within the Endpoint API endpoint. Visit the Endpoint API page for more details.
POST <host_address>/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateContractTranche
Content-Type: application/json
{
"contractNo": "<contract_number>",
"trancheDate": "<tranche_date>",
"trancheAmount": <tranche_amount>,
"interestPercent": <interest_percent>,
"unusageCommissionPercent": <unusage_commission_percent>,
"submittedDocument": "<submitted_document>"
}
Here's a list of the available parameters:
| Parameter | Description |
|---|---|
| host_address | URL of the FintechOS Platform server. |
| contractTrancheIdentifier | To create a new record, do NOT send this parameter. To update an existing record, fill and send this parameter in the ContractParticipantInfo section of the request. |
| contractNo | Mandatory if contractId is not filled. The number of the contract. |
| contractId | Mandatory if contractNo is not filled. The identifier of the contract. |
| trancheDate | Mandatory. The date of the disbursement tranche. |
| trancheAmount | Mandatory. The amount of the disbursement tranche. |
| interestPercent | The interest percent. |
| unusageCommissionPercent | The unused amount commission percent. |
| submittedDocument | The submitted document. |
Response
The response indicates the result of the code execution, specifically the result of creating or updating a record in the FTOS_CB_ContractDisbursementTranche entity . If the record is created or updated successfully, its contractTrancheIdentifier is returned.
Example
To create a new record, do not fill or send the contractTrancheIdentifier parameter.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateContractTranche
Content-Type: application/json
{
"contractNo": "8582",
"trancheDate": "2022-06-23",
"trancheAmount": 1500,
"interestPercent": 0,
"unusageCommissionPercent": 0,
"submittedDocument": ""
}
Response
{
"ContractTrancheIdentifier": "1394",
"IsSuccess": true
}
To update an existing record, fill and send the contractTrancheIdentifier parameter with the desired value.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateContractTranche
Content-Type: application/json
{
"contractTrancheIdentifier": "1394",
"contractNo": "8582",
"trancheDate": "2022-06-30",
"trancheAmount": 1000,
"interestPercent": 0,
"unusageCommissionPercent": 0,
"submittedDocument": ""
}
Response
{
"ContractTrancheIdentifier": "1394",
"IsSuccess": true
}